# KeepAliveMode

@Incubating
enum KeepAliveMode

Describes whether a Scala compiler daemon should be reused.

#### Since

7.6

## Entries

SESSION
Link copied to clipboard
@Incubating
SESSION

The compiler is kept alive for a session.

DAEMON
Link copied to clipboard
@Incubating
DAEMON

The compiler is kept alive across builds.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): KeepAliveMode

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<KeepAliveMode>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.